cgiemail (1.6-38) unstable; urgency=medium

  * Fix uses-deprecated-compression-for-data-tarball
    Closes: #833248
  * Standards-Version is 3.9.8
  * Debconf Dutch translation. Closes: #660751
  * Debconf Italian translation. Closes: #748450
  * Debconf Brazilian Portuguese translation. Closes: #844668

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 21 Nov 2016 13:35:19 +0000

cgiemail (1.6-37) unstable; urgency=low

  * Debconf Danish translation
    Closes: 633907
  * Source format is 3.0 (quilt)
  * Pass "-Zbzip2 -z9" to dpkg-deb
  * Standards-Version is 3.9.2
  * Fix debian-rules-missing-recommended-target

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 20 Jul 2011 10:16:52 +1000

cgiemail (1.6-36) unstable; urgency=low

  [ Christian Perrier ]
  * Fix pending l10n issues. Debconf translations:
  * Spanish (Francisco Javier Cuadrado).  Closes: #547779

  [ Anibal Monsalve Salazar]
  * Fix out-of-date-standards-version

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 02 Jun 2010 20:48:26 +1000

cgiemail (1.6-35) unstable; urgency=low

  * DH compatibility level is 7
  * Fix out-of-date-standards-version
  * Fix dh-clean-k-is-deprecated

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 03 Jul 2009 21:11:05 +1000

cgiemail (1.6-34) unstable; urgency=low

  * Debconf translations: 
    - Swedish; closes: #491941

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 10 Oct 2008 21:59:23 +1100

cgiemail (1.6-33) unstable; urgency=low

  * Standards version is 3.8.0 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 18 Jun 2008 21:39:03 +1000

cgiemail (1.6-32.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - French. Closes: #475679
    - German. Closes: #479252
    - Vietnamese. Closes: #481877
    - Japanese. Closes: #481882
    - Galician. Closes: #481950
    - Czech. Closes: #482009
    - Russian. Closes: #482084
    - Basque. Closes: #482610
    - Portuguese. Closes: #483051

 -- Christian Perrier <bubulle@debian.org>  Thu, 08 May 2008 10:38:33 +0200

cgiemail (1.6-32) unstable; urgency=low

  * Fixed "no check for environment variable". Closes: #431761
  * Depends on ${misc:Depends}
  * Added debian/watch
  * Fixed the following lintian issues:
    - cgiemail source: debian-rules-sets-DH_COMPAT line 9
    - cgiemail source: out-of-date-standards-version 3.7.2 (current is 3.7.3)
    - cgiemail: malformed-prompt-in-templates cgiemail/template_dir
    - cgiemail: description-contains-homepage

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 06 Apr 2008 12:28:38 +1000

cgiemail (1.6-31) unstable; urgency=low

  * Added Portuguese translation of the debconf templates, closes: #389288.
    Patch by Ricardo Silva <ardoric@gmail.com>.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 17 Oct 2006 22:06:40 +1000

cgiemail (1.6-30) unstable; urgency=low

  * Set Standards-Version to 3.7.2.
  * Set DH_COMPAT to 5.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 22 Jun 2006 14:36:30 +1000

cgiemail (1.6-29) unstable; urgency=low

  * New maintainer, closes: #314434.
  * Set Standards-Version to 3.6.2.
  * Set DH_COMPAT to 4.
  * Added Swedish translation of the debconf templates, closes: #333482.
    Patch by Daniel Nylander <yeager@lidkoping.net>.
  * Fixed "cgiemail depends on debconf without | debconf-2.0
    alternate; blocks cdebconf transition", closes: #331774.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 14 Oct 2005 09:57:41 +1000

cgiemail (1.6-28) unstable; urgency=high

  * QA upload.
  * Explicitly set sendmail path to `/usr/sbin/sendmail'.  Since it's not
    essential, configure wasn't able to find it on most auto-builders and
    defaulted to just `sendmail', which made the package unusable with the
    default PATH.  Closes: #320752.

 -- Matej Vela <vela@debian.org>  Thu, 22 Sep 2005 23:41:14 +0200

cgiemail (1.6-27) unstable; urgency=low

  * Orphaning this package. Maintainer set to Debian QA Group.
  * Added Vietnamese translation of the debconf templates, closes: #313332.
    Patch by Clytie Siddall <clytie@riverland.net.au>.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 16 Jun 2005 18:42:23 +1000

cgiemail (1.6-26) unstable; urgency=low

  * Added Czech translation of the debconf templates (closes: #304924).

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 30 Apr 2005 19:41:03 +1000

cgiemail (1.6-25) unstable; urgency=low

  * Fixed "Does not delete /etc/cgiemail.conf on purge" (Closes: #299233).

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 17 Mar 2005 20:23:24 +1100

cgiemail (1.6-24) unstable; urgency=low

  * New maintainer's email address.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 07 Feb 2005 22:34:54 +1100

cgiemail (1.6-23) unstable; urgency=high

  * Update Japanese translation of the debconf templates (closes: #271261).
    Patch by Hideki Yamane <henrich@samba.gr.jp>

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Fri, 17 Sep 2004 14:36:34 +1000

cgiemail (1.6-22) unstable; urgency=high

  * Added Japanese translation of the debconf templates (closes: #259802).
    Patch by Hideki Yamane <henrich@samba.gr.jp>
  * The expression (!templatedir) always evaluates to false in cgilib.c (closes: #258702).
    Patch by John Gorman <jgorman2@webbysoft.com>

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Thu, 22 Jul 2004 20:47:54 +1000

cgiemail (1.6-21) unstable; urgency=low

  * Added German translation of the debconf templates (closes: #250945).
    Patch by Erik Schanze <schanzi_usenet@gmx.de>
  * Added Spanish translation of the debconf templates (closes: #252791).
    Patch by Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>
  * virtual-package-depends-without-real-package-depends recommends: httpd
    Added real package apache to the list of depends in debian/control.
  * Added maintainer's name and email to debian/copyright.
  * Deleted commented DH lines in debian/rules.

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Sat, 05 Jun 2004 13:20:11 +1000

cgiemail (1.6-20) unstable; urgency=high

  * cgiemail has been exploited for the relaying of spam (closes: #222870).
    Patched cgilib.c even more with patch from
    http://groups.google.com.au/groups?selm=blkimp%241g64%241%40FreeBSD.csie.NCTU.edu.tw

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Tue, 03 Feb 2004 14:49:31 +1100

cgiemail (1.6-19) unstable; urgency=high

  * cgiemail has been exploited for the relaying of spam (closes: #222870).

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Sun, 25 Jan 2004 07:08:48 +1100

cgiemail (1.6-18) unstable; urgency=low

  * Dutch translation of gettext debconf [INTL:nl] (closes: #211167).
    Translation by Philippe Faes <Philippe.Faes@UGent.be>.

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Wed, 15 Oct 2003 16:23:11 +1000

cgiemail (1.6-17) unstable; urgency=low

  * Switch to gettext-based debconf templates (closes: #205792).
    Patch by Christian Perrier <bubulle@debian.org>.
  * French translation of gettext debconf templates (closes: #206774).
    Translation by Christian Perrier <bubulle@debian.org>.

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Sun, 24 Aug 2003 21:04:20 +1000

cgiemail (1.6-16) unstable; urgency=low

  * Modified maintainer address
  * closes: #129109

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Sun, 20 Apr 2003 15:53:01 +1000

cgiemail (1.6-15) unstable; urgency=low

  * QA upload.
  * Null-terminate templatedir, and make sure it really does get checked
    (closes: #160813).
  * Add NAME section to man pages (closes: #145336).
  * Policy version 3.5.7:
    - Drop DEB_BUILD_OPTIONS=debug support, so we always build with -g;
      support DEB_BUILD_OPTIONS=noopt.

 -- Colin Watson <cjwatson@debian.org>  Sat, 28 Sep 2002 12:03:42 +0100

cgiemail (1.6-14) unstable; urgency=high

  * fixed up the debconf stuff again, this time it's Right.
  * upped standards-version
  * added perl to build-depends because i use pod2man.
  * This version will finally be released, so can do this:
    Closes: Bug#129104.  Fixes security vulnerabilities.
  * Thanks, Colin Watson.

 -- Thomas Smith <tgs@debian.org>  Tue,  9 Apr 2002 21:52:17 -0500

cgiemail (1.6-13) unstable; urgency=high

  * Release candidate.  Internal revisions have:
    - fixed the script-reading vulnerability (Closes: Bug#129104),
      with the caveat that (without an extensive addition involving
      real access controls and stuff) one must break compatability in
      order to close the hole.
    - added debconf stuff
  * fixed debconf stuff, changed template some for readability
  * re-added cgifile for now; i'm not sure if it's really a good idea
    but i need to preserve compatability for upgraders.
  * trivially modified testce.html to point to the new place to put
    testce.txt.
  * modified README.Debian for readability and correctness.
  * gave example cgiemail.conf

 -- Thomas Smith <tgs@debian.org>  Sun, 17 Mar 2002 16:54:53 -0500

cgiemail (1.6-12) unstable; urgency=low

  * Pre-release, for testing
  * wrote debconf stuff.
  * made some documentation (README.Debian)

 -- Thomas Smith <tgs@debian.org>  Tue, 12 Mar 2002 20:04:54 -0500

cgiemail (1.6-11) unstable; urgency=low

  * internal.
  * figured out how not to break compat, testing.

 -- Thomas Smith <tgs@debian.org>  Tue, 12 Feb 2002 17:14:00 -0500

cgiemail (1.6-10) unstable; urgency=low

  * internal revision: try Colin Watson's patch to eliminate script-reading
    vuln.
  * use that 1 extra byte (fix my patch for buffer overflow)
  * plan: tell users to install hold at 1.6-9 because 1.7 will break compat.

 -- Thomas Smith <tgs@debian.org>  Tue, 12 Feb 2002 16:18:49 -0500

cgiemail (1.6-9) unstable; urgency=high

  * Fixed one of two major security holes.  I am going to orphan the package
    now, because I am not up to fixing the other one.  Fixed one is line 185
    of cgilibcso.c, and I am not sure if I got it quite right (it should be
    safe though).  Unfixed one is that attackers can read your cgi scripts,
    which may contain sensitive data.
  * This is all Bug#129104, but it does not close it as there is the other
    hole.

 -- Thomas Smith <tgs@debian.org>  Sun, 13 Jan 2002 21:43:54 -0500

cgiemail (1.6-8) unstable; urgency=low

  * converted README from text to POD, caused manpages to be made.
    (Closes: #6302)
  * cgiemail is now BugFree(tm).  That was the only bug, and was
    four years and 108 days old when I uploaded its fix.  deb-check 0.2.

 -- Thomas Smith <tgs@debian.org>  Fri, 13 Apr 2001 21:44:56 -0500

cgiemail (1.6-7) unstable; urgency=low

  * changed the OS string in testce.html.in (part of the test/example
    setup) so that it's more informative.
  * really add the undocumented.7 symlinks.

 -- Thomas Smith <tgs@finbar.dyndns.org>  Thu, 25 Jan 2001 18:07:35 -0500

cgiemail (1.6-6) unstable; urgency=low

  * Put back the undocumented.7 symlinks (was planning to write a
    quick man page, but didn't get around to it.)
  * Close wnpp bug (Closes: bug#68609)
  * Got a sponsor!  Thanks, Adrian.

 -- Thomas Smith <tgs@finbar.dyndns.org>  Wed, 24 Jan 2001 17:47:26 -0500

cgiemail (1.6-5) unstable; urgency=low

  * Fix dh_examples line to copy the test file, not its template.
  * Intangible benefits from more detailed knowledge.
  * Add comment about a path disclosure security vulnerability
    that I found and c preprocessed out of the program.  I don't
    want that particular hole in the binary version.. if you
    want you can recompile with DISCLOSE_PATHS defined
    (cgi.h.in) and it will work just as originally intended by
    the author :-)

 -- Thomas Smith <tgs@finbar.dyndns.org>  Wed, 10 Jan 2001 21:49:14 -0500

cgiemail (1.6-4) unstable; urgency=low

  * Adopted.
  * Modified text in description.
  * debian/ files remade with dh-make.

 -- Thomas Smith <tgs@finbar.dyndns.org>  Wed, 10 Jan 2001 21:44:59 -0500

cgiemail (1.6-3) unstable; urgency=low

  * Corrected the maintainer address.
  * Added "-isp" to dpkg-gencontrol.
  * Upload sponsored by Tony Mancill <tmancill@debian.org>.

 -- Adrian Bunk <bunk@fs.tum.de>  Sun,  6 Aug 2000 14:22:30 +0200

cgiemail (1.6-2) unstable; urgency=low

  * Orphaned, and text put in the description deprecating use of this
    package and pointing users to the mailto package.

 -- Michael Alan Dorman <mdorman@debian.org>  Fri, 24 Mar 2000 15:17:23 -0500

cgiemail (1.6-1) unstable; urgency=low

  * New upstream version

 -- Michael Alan Dorman <mdorman@debian.org>  Sun, 31 Jan 1999 16:39:18 -0500

cgiemail (1.5-2) frozen unstable; urgency=low

  * Upload to frozen and unstable to get back in sync

 -- Michael Alan Dorman <mdorman@debian.org>  Mon, 20 Apr 1998 11:14:40 -0400

cgiemail (1.5-1) unstable; urgency=low

  * New upsgream version.
  * Updates to manpage links (Bug#19289)

 -- Michael Alan Dorman <mdorman@debian.org>  Fri, 20 Mar 1998 11:14:40 -0400

cgiemail (1.2-3) unstable; urgency=low

  * Corrected links to undocumented manpage (Bug#8497,9711,10117)

 -- Michael Alan Dorman <mdorman@debian.org>  Fri, 6 Jun 1997 11:14:40 -0400

cgiemail (1.2-2) unstable; urgency=low

  * Complies with webstd 3.0
  * debstd considered harmful.  Remove.

 -- Michael Alan Dorman <mdorman@calder.med.miami.edu>  Mon, 12 May 1997 15:06:53 -0400

cgiemail (1.2-1) unstable; urgency=low

  * New upstream release
  * Use debstd for more complete support of standards
  * Added links to undocumented manpage (Bug#6302,Bug#6654)

 -- Michael Alan Dorman <mdorman@debian.org>  Sat, 8 Mar 1997 14:32:14 -0500

cgiemail (1.1-3) unstable; urgency=low

  * Make sure executables are stripped (Bug#5065)

 -- Michael Alan Dorman <mdorman@debian.org>  Sat, 23 Nov 1996 10:14:43 -0500

cgiemail (1.1-2) unstable; urgency=low

  * Modified maintainer address

 -- Michael Alan Dorman <mdorman@debian.org>  Mon, 23 Sep 1996 12:28:59 -0400

cgiemail (1.1-1) unstable; urgency=low

  * New upstream version.

 -- Michael Alan Dorman <mdorman@calder.med.miami.edu>  Tue, 17 Sep 1996 13:39:23 -0400

